// SetupConnectionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PlayWithDatabroker.h"
#include "SetupConnectionDlg.h"


// CSetupConnectionDlg dialog

IMPLEMENT_DYNAMIC(CSetupConnectionDlg, CDialog)

CSetupConnectionDlg::CSetupConnectionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupConnectionDlg::IDD, pParent)
	, m_dwHttpPort(80)
{

}

CSetupConnectionDlg::~CSetupConnectionDlg()
{
}

void CSetupConnectionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_SCDLG_HOSTIPADDRESS, m_editboxHostIPAddress);
	DDX_Control(pDX, IDC_EDIT_SCDLG_SERVERTYPE, m_editboxServerType);
	DDX_Control(pDX, IDC_EDIT_SCDLG_PORT, m_editboxHttpPort);
	DDX_Control(pDX, IDC_EDIT_SCDLG_USERID, m_editboxUserID);
	DDX_Control(pDX, IDC_EDIT_SCDLG_USERPASSWORD, m_editboxPassword);
	DDX_Control(pDX, IDC_CHECK_SCDLG_NOUSESERVERTYPE, m_chkboxNoUseServerType);
	DDX_Control(pDX, IDC_CHECK_SCDLG_NOUSEUSERID, m_chkboxNoUseUserID);
	DDX_Control(pDX, IDC_CHECK_SCDLG_NOUSEUSERPASSWORD, m_chkboxNoUseUserPassword);
	DDX_Text(pDX, IDC_EDIT_SCDLG_PORT, m_dwHttpPort);
	DDX_Control(pDX, IDC_CHECK_SCDLG_NOUSEPORT, m_chkboxNoUsePort);
}


BEGIN_MESSAGE_MAP(CSetupConnectionDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CSetupConnectionDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDC_CHECK_SCDLG_NOUSESERVERTYPE, &CSetupConnectionDlg::OnBnClickedCheckScdlgNouseservertype)
	ON_BN_CLICKED(IDC_CHECK_SCDLG_NOUSEUSERID, &CSetupConnectionDlg::OnBnClickedCheckScdlgNouseuserid)
	ON_BN_CLICKED(IDC_CHECK_SCDLG_NOUSEUSERPASSWORD, &CSetupConnectionDlg::OnBnClickedCheckScdlgNouseuserpassword)
	ON_BN_CLICKED(IDC_CHECK_SCDLG_NOUSEPORT, &CSetupConnectionDlg::OnBnClickedCheckScdlgNouseport)
END_MESSAGE_MAP()


// CSetupConnectionDlg message handlers

BOOL CSetupConnectionDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_chkboxNoUseServerType.SetCheck(BST_CHECKED);
	m_chkboxNoUsePort.SetCheck(BST_CHECKED);
	m_editboxServerType.SetWindowText("auto");
	m_editboxServerType.SetReadOnly(TRUE);
	m_editboxHttpPort.SetReadOnly(TRUE);
	m_editboxUserID.SetWindowText("root");

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CSetupConnectionDlg::OnBnClickedOk()
{
	m_editboxHostIPAddress.GetWindowText(m_strIPAddr);
	m_editboxServerType.GetWindowText(m_strServerType);
	m_editboxHttpPort.GetWindowText(m_strHttpPort);
	m_editboxUserID.GetWindowText(m_strUserID);
	m_editboxPassword.GetWindowText(m_strPassword);

	m_wHttpPort = (WORD)m_dwHttpPort;
	
	OnOK();
}

void CSetupConnectionDlg::OnBnClickedCheckScdlgNouseservertype()
{
	if	(m_chkboxNoUseServerType.GetCheck() == BST_CHECKED)
	{
		m_editboxServerType.SetWindowText("auto");
		m_editboxServerType.SetReadOnly(TRUE);
	}
	else
	{
		m_editboxServerType.SetWindowText("");
		m_editboxServerType.SetReadOnly(FALSE);
	}
}

void CSetupConnectionDlg::OnBnClickedCheckScdlgNouseuserid()
{
	if	(m_chkboxNoUseUserID.GetCheck() == BST_CHECKED)
	{		
		m_editboxUserID.SetReadOnly(TRUE);
	}
	else
	{
		m_editboxUserID.SetReadOnly(FALSE);
	}

	m_editboxUserID.SetWindowText("");
}

void CSetupConnectionDlg::OnBnClickedCheckScdlgNouseuserpassword()
{
	if	(m_chkboxNoUseUserPassword.GetCheck() == BST_CHECKED)
	{		
		m_editboxPassword.SetReadOnly(TRUE);
	}
	else
	{
		m_editboxPassword.SetReadOnly(FALSE);
	}

	m_editboxPassword.SetWindowText("");
}

void CSetupConnectionDlg::OnBnClickedCheckScdlgNouseport()
{
	if	(m_chkboxNoUsePort.GetCheck() == BST_CHECKED)
	{		
		m_editboxHttpPort.SetWindowText("80");
		m_editboxHttpPort.SetReadOnly(TRUE);
		
		m_dwHttpPort = 80;		
	}
	else
	{
		m_editboxHttpPort.SetWindowText("");
		m_editboxHttpPort.SetReadOnly(FALSE);
	}
}
